purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Graph

Synopsis

- graph :: [FilePath] -> IO (Either MultipleErrors Value, MultipleErrors)

# Documentation

graph :: [FilePath] -> IO (Either MultipleErrors Value, MultipleErrors) #

Given a set of filepaths, try to build the dependency graph and return that as its JSON representation (or a bunch of errors, if any)